<?php if (!defined('__TYPECHO_ROOT_DIR__')) exit; ?>


<?php function threadedComments($comments, $options) {
    $commentClass = '';
    if ($comments->authorId) {
        if ($comments->authorId == $comments->ownerId) {
            $commentClass .= ' comment-by-author';
        } else {
            $commentClass .= ' comment-by-user';
        }
    }

    $commentLevelClass = $comments->levels > 0 ? ' comment-child' : ' comment-parent';
?>

<li id="li-<?php $comments->theId(); ?>" class="comment-body<?php
if ($comments->levels > 0) {
    echo ' comment-child';
    $comments->levelsAlt(' comment-level-odd', ' comment-level-even');
} else {
    echo ' comment-parent';
}
$comments->alt(' comment-odd', ' comment-even');
echo $commentClass;
?>">
    <div id="<?php $comments->theId(); ?>">
        <div class="comment-inner">
             <div class="comment-author comment-meta"> 
                <?php $comments->gravatar('60', ''); ?>
                <span><?php $comments->author(); ?></span>
<?php
$me = md5(strtolower('me@fateso.com')); //这里填入自己的邮箱
$boy = md5(strtolower('ehy@qq.com')); //这里填入好友的邮箱
$rz = md5(strtolower($comments->mail)); //用于判断邮箱
//博主样式
$str =  '<span class="commentapprove" style="color: #FFF;padding: .1rem .25rem;font-size: .7rem;border-radius: .25rem;background-color:#b288eca1;" >博主</span>';
//好友样式
$str2 =  '<span class="commentapprove" style="color: #FFF;padding: .1rem .25rem;font-size: .7rem;border-radius: .25rem;background-color:#1ECD97;" >好友</span>';
//开始判断
if($me==$rz){
echo $str;            //如果条件成立则输出'博主'样式
}if($boy==$rz){
echo $str2;            //如果条件成立则输出'好友'样式
}
?>
<span class="comment-reply"><?php $comments->reply(); ?></span>
            </div>


            <div class="comment-content">
           <span class="comment-author-at"><?php getCommentAt($comments->coid); ?></span><?php
                $cos = preg_replace('#\@\((.*?)\)#','<img src="/usr/themes/LIFET/img/bq/$1.png" class="bq">',$comments->content);
              echo $cos;
              ?> 
            </div>
            <div class="comment-meta">
                <!--<span><?php $comments->date('Y-m-d H:i'); ?></span>
               <span class="comment-reply"><?php $comments->reply(); ?></span>-->
            </div>
        </div>
    </div>
<?php if ($comments->children) { ?>
    <div class="comment-children">
        <?php $comments->threadedComments($options); ?>
    </div>
<?php } ?>
</li>
<?php } ?>


<div id="comments">
    <?php $this->comments()->to($comments); ?>
    <div class="comments-header" id="<?php $this->respondId(); ?>" >
        <?php if($this->allow('comment')): ?>

        <form method="post" action="<?php $this->commentUrl() ?>" id="comment-form" role="form" class="clear">
          <h3 class="comment-title"><span class="nice-b-line"> <?php $this->commentsNum(_t('回复'), _t('仅有 1 条咸鱼'), _t(' %d 条咸鱼在这里躺着')); ?></span>
 <?php $comments->cancelReply('/ 取消回复'); ?></h3>
            <?php if(!$this->user->hasLogin()): ?>
    			<input type="text" name="author" id="author" class="text" value="<?php $this->remember('author'); ?>" required placeholder="Name" />
    			<input type="email" name="mail" id="mail" class="text" value="<?php $this->remember('mail'); ?>"<?php if ($this->options->commentsRequireMail): ?> required<?php endif; ?> placeholder="E-mail"  />
    			<input type="url" name="url" id="url" class="text" placeholder="<?php _e('http://'); ?>" value="<?php $this->remember('url'); ?>"<?php if ($this->options->commentsRequireURL): ?> required<?php endif; ?> />
            <?php endif; ?>
                <textarea name="text" id="textarea" class="OwO-textarea textarea" required placeholder="开始你的表演 （回复无法跟随的时候 请刷新一次~）"><?php $this->remember('text'); ?></textarea>
                <div class="clear">
                  <div class="OwO-logo" onclick="OwO_show()">
                   <span>(OωO)</span>
                  </div>

                  <button type="submit" class="submit"><?php _e('发射~'); ?></button>
                </div>

                <div id="OwO-container"><?php  $this->need('owo.php'); ?></div>

    	</form>
        <?php endif; ?>
    </div>

    <?php if ($comments->have()): ?>
        <?php $comments->listComments(); ?>
        <?php $comments->pageNav('←','→','1','...'); ?>
    <?php endif; ?>

</div>
