<?php
if (!defined('__TYPECHO_ROOT_DIR__')) exit;
function themeConfig($form) {
    echo "<h2 style='color:RGB(182,177,150)'>主题配置界面：</h2>";
$sticky = new Typecho_Widget_Helper_Form_Element_Text('sticky', NULL,NULL, _t('文章置顶'), _t('置顶的文章cid，按照排序输入, 请以半角逗号或空格分隔'));
    $form->addInput($sticky);

 $toux = new Typecho_Widget_Helper_Form_Element_Text('toux', NULL, NULL, _t('站点logo'), _t('在这里输入logo地址，注意:请加http://'));
  $form->addInput($toux);  

 $music = new Typecho_Widget_Helper_Form_Element_Text('music', NULL, NULL, _t('网易云音乐'), _t('在这里输入网易云音乐地址，注意:请加http://'));
  $form->addInput($music);  

 $github = new Typecho_Widget_Helper_Form_Element_Text('github', NULL, NULL, _t('GITHUB'), _t('在这里输入github地址，注意:请加http://'));
  $form->addInput($github);  



 }

require_once __DIR__ . '/lib/Parsedown.php';
require_once __DIR__ . '/lib/shortcode.php';

function getCommentAt($coid){
        $db   = Typecho_Db::get();
        $prow = $db->fetchRow($db->select('parent')
            ->from('table.comments')
            ->where('coid = ? AND status = ?', $coid, 'approved'));
        $parent = $prow['parent'];
        if ($parent != "0") {
            $arow = $db->fetchRow($db->select('author')
                ->from('table.comments')
                ->where('coid = ? AND status = ?', $parent, 'approved'));
            $author = $arow['author'];
            if($author){
            	$href   = '<a class="at" href="#comment-'.$parent.'">@'.$author.'</a>';
        	}else{
        		$href   = '<a href="javascript:void(0)">评论审核中···</a>';
        	}
            echo $href;
        } else {
            echo "";
        }
    }

/*头像CDN*/

function getGravatar($i){
if(preg_match('|^[1-9]\d{4,10}@qq\.com$|i',$i)){
	return 'https://q.qlogo.cn/g?b=qq&nk='.$i.'&s=100';
}else{
	$host = 'https://cdn.v2ex.com/';
	$url = '/gravatar/';
	$size = '80';
	$rating = Helper::options()->commentsAvatarRating;
	$hash = md5(strtolower($i));
	$avatar = $host . $url . $hash . '?s=' . $size . '&r=' . $rating . '&d=https://cdn.v2ex.com/gravatar/533cfdfce09a1cdedb785aaf5c3df7b4?s=30&r=X';
	return $avatar;
	}
}


function GetOriginalContent($id){
  $db = Typecho_Db::get();
  $result = $db->fetchAll($db->select()->from('table.contents')
    ->where('status = ?','publish')
    ->where('type = ?', 'post')
    ->where('cid = ?',$id)
  );
  foreach($result as $val){
    $val = Typecho_Widget::widget('Widget_Abstract_Contents')->push($val);
    $content = $val['text'];
    return $content;
  }
}


function GetPostById($id){

		$db = Typecho_Db::get();
		$result = $db->fetchAll($db->select()->from('table.contents')
			->where('status = ?','publish')
			->where('type = ?', 'post')
			->where('cid = ?',$id)
		);
		if($result){
			$i=1;
			foreach($result as $val){
				$val = Typecho_Widget::widget('Widget_Abstract_Contents')->push($val);
				$post_title = htmlspecialchars($val['title']);
				$post_permalink = $val['permalink'];
        $post_date = $val['created'];
        $post_date = date('Y-m-d',$post_date);
				return '<div class="ArtinArt">
                  <h4><a href="'.$post_permalink.'">'.$post_title.'</a></h4>
                  <p class="clear"><span style="float:left">ID:'.$id.'</span><span style="float:right">'.$post_date.'</span></p>
                </div>';
			}
		}
    else{
      return '<span>id无效QAQ</span>';
    }
}
function emotionContent($content,$url)
{
    $Parsedown = new Parsedown();
    $content =  $Parsedown->text($content);
   
    $fcontent = preg_replace('#\@\((.*?)\)#','<img src="'. $url .'/img/bq/$1.png" class="bq">',$content);

   
    $arts=[];
    preg_match_all("/\[art\](.*?)\[\/art\]/sm",$fcontent, $arts);
    $art_num = count($arts[0]) - 1;
    for($art_count = 0;$art_num>=$art_count;$art_count++)
    {
      $postid = ltrim($arts[0][$art_count],"[art]");
      $postid = rtrim($postid,"[/art]");
      $art_info = GetPostById($postid);

      $fcontent = preg_replace('/(\\[art\\])('.$postid.')(\\[\\/art\\])/is',$art_info,$fcontent);
    }

    $fcontent = do_shortcode($fcontent);


    echo $fcontent;
}

